Bug 175967 - Building fails on non x86 architectures
Building fails on non x86 architectures
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ldns (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Wouters
Fedora Extras Quality Assurance
http://atlantis.ausil.us/logs/aurora-...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-16 14:27 EST by Dennis Gilmore
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.0.0-8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-18 21:54:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2005-12-16 14:27:38 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.5; Linux; x86_64) KHTML/3.5.0 (like Gecko)

Description of problem:
when trying to build on something non i386 building fails.  the tarball  
contains object code compiled for x86.  make clean doesn't get rid of all the  
object code. the tarball doesn't contain Makefiles in the subdirs  to clean  
them out properly.    

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.build srpm 
2. 
3. 
   

Actual Results:  failed build 

Expected Results:  succesful build 

Additional info:

doing a rm -f */*o in the prep section of the spec file will ensure all object 
files are removed and that the build will succeed  
 
http://atlantis.ausil.us/logs/aurora-2-core/891-ldns-1.0.0-7.al2/http://atlantis.ausil.us/logs/aurora-2-core/891-ldns-1.0.0-7.al2/ 
 
shows a succesful build with the changes made

Note You need to log in before you can comment on or make changes to this bug.